curl --request GET \
--url https://api.decodahealth.com/inventory/packages/sold-package/{sold_package_id}/charge-items \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/packages/sold-package/{sold_package_id}/charge-items"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/packages/sold-package/{sold_package_id}/charge-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"chargeId": "<string>",
"quantity": 123,
"price": 123,
"charge": {
"id": "<string>",
"patientId": "<string>",
"total": 123,
"totalOutstanding": 123,
"status": "OUTSTANDING",
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"itemId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
],
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"unit": "AMPOULES",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
},
"locationId": "<string>",
"locationName": "<string>",
"saleDate": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Sold Package Charge Items
Get all charge items associated with a specific sold package.
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Identifier of the charge this item is associated with
Quantity of the item being charged
Price of the item in cents
Details of the charge
Show child attributes
Show child attributes
Unique identifier for the charge item
Optional unique identifier for the item
Name of the item (None for items with associated inventory item)
Description of the item
Discount amount for the item
Discount percentage for the item
Reason for discount
Unique identifier for the sold package usage
Quantity to bank for later use
ID of banked item being used (for tracking usage)
Unique identifier for the specific issued discount instance used
Unique identifier for the provider who sold the item
Tax amount for the item in cents
Unique identifier for the pricing for the item
Optional list of shipment IDs to reduce the stock quantity of
Details of the item (None for custom charge items)
Show child attributes
Show child attributes
Location ID where the sale occurred
Location name where the sale occurred
Date when the sale occurred

